Package org.apache.sling.graphql.api.pagination

# Interface Connection<T>

All Known Implementing Classes:
  `GenericConnection`

@ConsumerType public interface Connection<T>
The `Connection` interface provides support for implementing the Connection Types, according to the specification from https://relay.dev/graphql/connections.htm#sec-Connection-Types.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Iterable<Edge<T>>`
`getEdges()`
`@NotNull PageInfo`
`getPageInfo()`

## Method Details

### getEdges

@NotNull @NotNull Iterable<Edge<T>> getEdges()

### getPageInfo

@NotNull @NotNull PageInfo getPageInfo()